DELETE
/detector-models/{detectorModelName}
http://iotevents.{region}.amazonaws.com/detector-models/{detectorModelName}Deletes a detector model. Any active instances of the detector model are also deleted.
Access Token Required: API Key
Path Parameters
detectorModelNamestringrequired
The name of the detector model to be deleted.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://iotevents.{region}.amazonaws.com/detector-models/{detectorModelName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}